summaryrefslogtreecommitdiff
path: root/mutt-wizard.sh
diff options
context:
space:
mode:
authorLuke <luke@lukesmith.xyz>2018-02-13 13:00:48 -0700
committerLuke <luke@lukesmith.xyz>2018-02-13 13:00:48 -0700
commita4dc0e041e69269442a32c9210b2f247a55bdd87 (patch)
tree2831a25640a274566b163b1ad2962c1dfeda7a7e /mutt-wizard.sh
parentac1f56dd18cf4b6ce71c4cd477d2deaa6a57df98 (diff)
switch to gpg2 as default
Diffstat (limited to 'mutt-wizard.sh')
-rwxr-xr-xmutt-wizard.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/mutt-wizard.sh b/mutt-wizard.sh
index 6be5c0c..17104b6 100755
--- a/mutt-wizard.sh
+++ b/mutt-wizard.sh
@@ -132,7 +132,7 @@ addAccount \
addAccount() {
# First, adding the encrypted password.
dialog --title "Luke's mutt/offlineIMAP password wizard" --passwordbox "Enter the password for the \"$title\" account." 10 60 2> /tmp/$title
- gpg -r $gpgemail --encrypt /tmp/$title || (dialog --title "GPG decryption failed." --msgbox "GPG decryption failed. This is either because you do not have a GPG key pair or because your distro uses GPG2 and you thus need to symlink /usr/bin/gpg to /usr/bin/gpg2." 7 60 && break)
+ gpg2 -r $gpgemail --encrypt /tmp/$title || (dialog --title "GPG decryption failed." --msgbox "GPG decryption failed. This is either because you do not have a GPG key pair or because your distro uses GPG1 and you thus need to symlink /usr/bin/gpg2 to /usr/bin/gpg." 7 60 && break)
shred -u /tmp/$title
mv /tmp/$title.gpg ~/.config/mutt/credentials/